<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <h:head>
        <title>Inicio</title>
        <h:outputStylesheet name="style.css" library="css" />
        <style>
            body {
                background-image: linear-gradient(to right,#1e3c72, #2a5298);  
            }

        </style>
    </h:head>
    <h:body>
        <img src="resources/img/usam.png" alt="logo" class="uni"/>
        <h:form id="formLogin">
            <p:growl id="msg" showDetail="true" life="4000" />
            <p:panel id="loginPnl" header="Inicio de Sesión"
                     style="width: 370px;height:30%; margin: 0 auto; padding:0;">
                <h:panelGrid id="loginPanel" columns="1" cellpadding="3" style="margin:auto;">
                    <h:outputText value="Usuario" style="margin-left:108px;" /> 
                    <p:inputText id="username" value="#{usuarioController.usuario.usuario}" required="true" style="width:270px;margin-left: -5px;"/>
                    <h:outputText value="Contraseña" style="margin-left:95px;" />
                    <p:password id="password" value="#{usuarioController.usuario.clave}" feedback="false" required="true" style="width: 270px;margin-left: -5px;"/>
                   
                    <p:commandButton id="loginButton" action="#{usuarioController.login()}" value="Iniciar sesión" update="formLogin:msg" oncomplete="manejarLogin(xhr, status, args)"  style="width: 270px;margin-left: -5px; margin-top: 25px; margin-bottom: 30px;" />
                 
                </h:panelGrid>
            </p:panel>

        </h:form>




    </h:body>
</html>


